Summary: A syslog data viewer for the web
Name: phplogcon
Version: 2.1.6
Release: 12.beta%{?dist}
License: GPLv3+
Group: Applications/Internet
URL: http://www.phplogcon.com/
Source0: http://download.adiscon.com/phplogcon/%{name}-%{version}.tar.gz
Source1: README.fedora
Source2: phplogcon-httpd.conf
Requires: php php-gd webserver
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
phpLogCon is a web interface to syslog and other network event data. It
provides easy browsing and some basic analysis of realtime network events.
Depending on the applications feeding the database, it can process syslog
messages, Windows event log entries and even SNMP trap data - just to name a
few.

%prep

%setup -q -n %{name}-%{version}

%build

%install
rm -rf %{buildroot}

install -d -m 755 %{buildroot}%{_sysconfdir}/%{name}
install -d -m 755 %{buildroot}/%{_datadir}/%{name}
cp -aRf src/*     %{buildroot}/%{_datadir}/%{name}/

touch             %{buildroot}%{_sysconfdir}/%{name}/config.php
ln -s ../../../%{_sysconfdir}/%{name}/config.php %{buildroot}/%{_datadir}/%{name}/config.php

install -d -m 755  %{buildroot}%{_sysconfdir}/httpd/conf.d
cp      %{SOURCE2} %{buildroot}%{_sysconfdir}/httpd/conf.d/%{name}.conf
cp      %{SOURCE1} ./

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc COPYING INSTALL ChangeLog README.fedora
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpd/conf.d/%{name}.conf
%attr(0755,root,apache) %dir %{_sysconfdir}/%{name}
%attr(0664,root,apache) %config(noreplace) %{_sysconfdir}/%{name}/config.php
%{_datadir}/%{name}


%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.6-12.beta
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.6-11.beta
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.6-10.beta
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Jan  7 2013 Remi Collet <rcollet@redhat.com> - 2.1.6-9.beta
- fix configuration file for httpd 2.4, #871461

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.6-8.beta
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.6-7.beta
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.6-6.beta
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.6-5.beta
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.6-4.beta
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri May 23 2008 Peter Vrabec <pvrabec@redhat.com> 2.1.6-3.beta
- package improvements (#444722)

* Thu May 22 2008 Peter Vrabec <pvrabec@redhat.com> 2.1.6-2.beta
- package improvements (#444722)

* Mon May 19 2008 Peter Vrabec <pvrabec@redhat.com> 2.1.6-1.beta
- package improvements (#444722)

* Mon May 05 2008 Peter Vrabec <pvrabec@redhat.com> 2.3.1-1
- package improvements (#444722)

* Mon Apr 21 2008 Peter Vrabec <pvrabec@redhat.com> 2.1.3-1
- initial fedora package

